Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.util
Class Helper

    java.lang.Object
      |
      +--com.bea.adapter.util.Helper

public class Helper
extends java.lang.Object

Convenience methods for ADK.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Helper()`

Method Summary
`static java.lang.IllegalArgumentException` | `createNullArgException(java.lang.String strInstance, java.lang.String strMethod, java.lang.String strNullArgClass, int iArgIndex)`
`static java.lang.String` | `getDefaultMessage(java.lang.String strKey)`
`static java.lang.String` | `getDefaultMessage(java.lang.String strKey, java.lang.Object[] aObj)`
`static java.lang.String` | `getDefaultMessage(java.lang.String strKey, java.lang.String strArg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Helper

    public Helper()

Method Detail

### getDefaultMessage

    public static final java.lang.String getDefaultMessage(java.lang.String strKey)

### getDefaultMessage

    public static final java.lang.String getDefaultMessage(java.lang.String strKey,
                                                           java.lang.String strArg)

### getDefaultMessage

    public static final java.lang.String getDefaultMessage(java.lang.String strKey,
                                                           java.lang.Object[] aObj)

### createNullArgException

    public static java.lang.IllegalArgumentException createNullArgException(java.lang.String strInstance,
                                                                            java.lang.String strMethod,
                                                                            java.lang.String strNullArgClass,
                                                                            int iArgIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)